## python-cloudflare 2.11.1

=== Makefile ===

PYTHON = python
# PANDOC = pandoc
PYLINT = pylint
TWINE = twine

EMAIL = "mahtin@mahtin.com"
NAME = "cloudflare"

OPENAPI_URL = "https://github.com/cloudflare/api-schemas/raw/main/openapi.json"

#all:	README.rst CHANGELOG.md build
all:	CHANGELOG.md build

# README.rst: README.md
# 	$(PANDOC) --wrap=none --from=markdown --to=rst < README.md > README.rst 

CHANGELOG.md: FORCE
	@ tmp=/tmp/_$$$$.md ; \
	( \
		cp /dev/null $$tmp ; \
		echo '# Change Log' ; \
		echo '' ; \
		git log --date=iso-local --pretty=format:' - %ci [%h](../../commit/%H) %s' ; \
		echo '' ; \
	)  >> $$tmp ; \
	diff $$tmp CHANGELOG.md || ( cp $$tmp CHANGELOG.md ; echo "CHANGELOG.md - updated" ) ; \
	rm $$tmp
FORCE:

build: setup.py
	$(PYTHON) setup.py -q build

install: build
	sudo $(PYTHON) setup.py -q install
	sudo rm -rf ${NAME}.egg-info

test: all
#	 to be done

cli4test: all
	$(PYTHON) -m cli4 /ips > /dev/null

sdist: all
	make clean
	make test
	$(PYTHON) setup.py -q sdist
	$(TWINE) check dist/*
	@rm -rf ${NAME}.egg-info

bdist: all
	make clean
	make test
	$(PYTHON) setup.py -q bdist
	$(TWINE) check dist/*
	@rm -rf ${NAME}.egg-info

bdist_wheel: all
	make clean
	make test
	$(PYTHON) setup.py -q bdist_wheel
	$(TWINE) check dist/*
	@rm -rf ${NAME}.egg-info

upload: clean all tag upload-github upload-pypi

upload-github:
	git push
	git push origin --tags

upload-pypi:
	## $(PYTHON) setup.py -q sdist bdist_wheel upload # --sign --identity="$(EMAIL)"
	$(TWINE) upload -r pypi dist/*

showtag: sdist
	@ v=`ls -r dist | head -1 | sed -e 's/cloudflare-\([0-9.]*\)\.tar.*/\1/'` ; echo "\tDIST VERSION =" $$v ; (git tag | fgrep -q "$$v") && echo "\tGIT TAG EXISTS"

tag: sdist
	@ v=`ls -r dist | head -1 | sed -e 's/cloudflare-\([0-9.]*\)\.tar.*/\1/'` ; echo "\tDIST VERSION =" $$v ; (git tag | fgrep -q "$$v") || git tag "$$v"

sign:
	v=`ls -r dist | head -1 | sed -e 's/cloudflare-\([0-9.]*\)\.tar.*/\1/'` ; echo "\tDIST VERSION =" $$v ; \
	mkdir -p tarball ; \
	rm -f tarball/$$v.tar.gz.asc tarball/$$v.zip.asc ; \
	curl -sS -o tarball/$$v.tar.gz https://codeload.github.com/cloudflare/python-cloudflare/tar.gz/$$v ; \
	curl -sS -o tarball/$$v.zip https://codeload.github.com/cloudflare/python-cloudflare/zip/$$v ; \
	gpg --default-key ${EMAIL} --armor --detach-sign tarball/$$v.tar.gz ; \
	gpg --default-key ${EMAIL} --armor --detach-sign tarball/$$v.zip ; \
	ls -l tarball/$$v.tar.gz tarball/$$v.zip ; \
	ls -l tarball/$$v.tar.gz.asc tarball/$$v.zip.asc ;

lint:
	$(PYLINT) CloudFlare cli4

api:
	@tmp=/tmp/_$$$$_ ; \
	$(PYTHON) -m cli4 --dump | sort > $$tmp.1 ; \
	$(PYTHON) -m cli4 --api | sed -e 's/^[A-Z][A-Z]*  *//' -e 's/?.*//' -e 's/\/:[a-z][A-Za-z_]*/\/:id/g' -e 's/\/:[a-z][A-Za-z_]*}/\/:id/g' -e 's/:id\/:id/:id/' -e 's/\/:id$$//' -e 's/\/:id$$//' -e 's/\/:id ;/ ;/' -e 's/\/$$//' | sort -u > $$tmp.2 ; \
	egrep -v '; deprecated' < $$tmp.2 | diff $$tmp.1 - > $$tmp.3 ; \
	echo "In code:" ; \
	egrep '< ' < $$tmp.3 | sed -e 's/< /    /' | sort | tee $$tmp.4 ; \
	echo "In docs:" ; \
	egrep '> ' < $$tmp.3 | sed -e 's/> /    /' | sort | sed -e "s/\//self.add('AUTH', '/" -e "s/$$/'\)/" -e "s/\/:id\//', '/g" ; \
	echo "Deprecated:" ; \
	egrep '; deprecated' < $$tmp.2 | while read cmd x deprecated deprecated_date ; do egrep "$$cmd" $$tmp.4 | sed -e "s/$$/ ; deprecated $$deprecated_date/" ; done | sort | uniq ; \
	rm $$tmp.?

openapi:
	@tmp=/tmp/_$$$$_ ; \
	$(PYTHON) -m cli4 --dump | sort > $$tmp.1 ; \
	$(PYTHON) -m cli4 --openapi $(OPENAPI_URL) | sed -e 's/^[A-Z][A-Z]*  *//' -e 's/?.*//' -e 's/\/:[a-z][A-Za-z_]*/\/:id/g' -e 's/\/:[a-z][A-Za-z_]*}/\/:id/g' -e 's/:id\/:id/:id/' -e 's/\/:id$$//' -e 's/\/:id$$//' -e 's/\/:id ;/ ;/' -e 's/\/$$//' | sort -u > $$tmp.2 ; \
	egrep -v '; deprecated' < $$tmp.2 | diff $$tmp.1 - > $$tmp.3 ; \
	echo "In code:" ; \
	egrep '< ' < $$tmp.3 | sed -e 's/< /    /' | sort | tee $$tmp.4 ; \
	echo "In docs:" ; \
	egrep '> ' < $$tmp.3 | sed -e 's/> /    /' | sort | sed -e "s/\//self.add('AUTH', '/" -e "s/$$/'\)/" -e "s/\/:id\//', '/g" ; \
	echo "Deprecated:" ; \
	egrep '; deprecated' < $$tmp.2 | while read cmd x deprecated deprecated_date ; do egrep "$$cmd" $$tmp.4 | sed -e "s/$$/ ; deprecated $$deprecated_date/" ; done | sort | uniq ; \
	rm $$tmp.?

TUNA_CLI4_TEST_COMMAND = "/ips"
TUNA_CLI4_TEST_COMMAND = "--openapi http://localhost/~martin/openapi.json"
TUNA_CLI4_TEST_COMMAND = "--api"
TUNA_CLI4_TEST_COMMAND = "--openapi $(OPENAPI_URL)"

tuna:
	@tmp=/tmp/_$$$$_ ; \
	$(PYTHON) -X importtime -m cli4 $(TUNA_CLI4_TEST_COMMAND) > /dev/null 2> $$tmp.1 ; \
	tuna $$tmp.1 2> /dev/null & \
	tunapid=$$! ; \
	sleep 1 ; \
	kill $$tunapid ; \
	rm $$tmp.?

clean:
	rm -rf build
	rm -rf dist
	mkdir build dist
	$(PYTHON) setup.py -q clean
	rm -rf ${NAME}.egg-info

=== requirements.txt ===
requests>=2.4.2
future
pyyaml
jsonlines
beautifulsoup4

## python-cloudflare 2.0.4

=== debian/changelog ===
python-cloudflare (2.0.4-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 23 Jun 2018 19:24:43 -0400

python-cloudflare (2.0.4-1) unstable; urgency=medium

  * Initial release. (Closes: #888799)

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 24 Feb 2018 20:42:56 -0500

=== debian/control ===
Source: python-cloudflare
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
	   Debian Let's Encrypt Team <letsencrypt-devel@lists.alioth.debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 11~),
	       dh-python,
	       python3,
	       python3-requests,
	       python3-future,
	       python3-setuptools,
	       python3-yaml
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/python-team/modules/cloudflare
Vcs-Git: https://salsa.debian.org/python-team/modules/cloudflare.git
Homepage: https://github.com/cloudflare/python-cloudflare

Package: python3-cloudflare
Architecture: all
Depends: ${python3:Depends},
	 ${misc:Depends}
Description: Python module to interface with Cloudflare's v4 API
 python3-cloudflare is a wrapper around the Cloudflare v4 API that
 lets you perform any action that you would be able to through the
 Cloudflare control panel itself.  For example, you can add and remove
 zones, change DNS records, switch billing information, etc.

## python-cloudflare 2.1.0

=== debian/changelog ===
python-cloudflare (2.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh quilt patch to remove cli-only dependency, fix fuzz.
  * Bump S-V; no changes necessary.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 24 Jun 2018 14:06:18 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 	       python3-future,
 	       python3-setuptools,
 	       python3-yaml
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/python-team/modules/cloudflare
 Vcs-Git: https://salsa.debian.org/python-team/modules/cloudflare.git
 Homepage: https://github.com/cloudflare/python-cloudflare

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = cloudflare

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples
	chmod -x $(CURDIR)/debian/python3-cloudflare/usr/share/doc/python3-cloudflare/examples/*

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/cloudflare/cloudflare-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cloudflare 2.8.8

=== debian/changelog ===
python-cloudflare (2.8.8-1) unstable; urgency=medium

  * Switch to new upstream signing key
  * New upstream version 2.8.8
  * Add new dep on beautifulsoup4; drop dep on future
  * Bump dh-compat to 13.
  * Refresh patch

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 26 Jul 2020 17:40:31 -0400

python-cloudflare (2.6.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Harlan Lieberman-Berg ]
  * Switch to new upstream signing key
  * New upstream version 2.8.8
  * Add new dep on beautifulsoup4; drop dep on future
  * Bump dh-compat to 13.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 26 Jul 2020 17:30:29 -0400

python-cloudflare (2.6.5-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

  [ Harlan Lieberman-Berg ]
  * New upstream version 2.6.5
  * Switch to debhelper 12
  * Update S-V to 4.5, add R-R-R
  * Update emails from lists.alioth.debian.org to tracker.debian.org
    (Closes: #899295)
  * Add manual smoke test.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Tue, 14 Apr 2020 00:51:30 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: python-cloudflare
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Modules Team <team+python-modules@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
-	   Debian Let's Encrypt Team <letsencrypt-devel@lists.alioth.debian.org>
+	   Debian Let's Encrypt Team <team+letsencrypt@tracker.debian.org>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 13),
 	       dh-python,
 	       python3,
+	       python3-bs4,
 	       python3-requests,
-	       python3-future,
 	       python3-setuptools,
 	       python3-yaml
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/python-team/modules/cloudflare
 Vcs-Git: https://salsa.debian.org/python-team/modules/cloudflare.git
 Homepage: https://github.com/cloudflare/python-cloudflare
+Rules-Requires-Root: no
 
 Package: python3-cloudflare
 Architecture: all

## python-cloudflare 2.8.14

=== debian/changelog ===
python-cloudflare (2.8.14-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Harlan Lieberman-Berg ]
  * New upstream version 2.8.14
  * Bump S-V; no changes needed
  * Bump d/watch to v4

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 05 Dec 2020 23:05:50 -0500

=== debian/control ===
--- 
+++ 
@@ -11,9 +11,9 @@
 	       python3-requests,
 	       python3-setuptools,
 	       python3-yaml
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/python-team/modules/cloudflare
-Vcs-Git: https://salsa.debian.org/python-team/modules/cloudflare.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/python-team/packages/cloudflare
+Vcs-Git: https://salsa.debian.org/python-team/packages/cloudflare.git
 Homepage: https://github.com/cloudflare/python-cloudflare
 Rules-Requires-Root: no

=== debian/tests/control ===
# Smoke test by hand, since the  autotest gets confused by the package
# having capitals in it
Test-Command: python3 -c 'import CloudFlare; print(CloudFlare)'
Restrictions: superficial
Features: test-name=smoke

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/cloudflare/cloudflare-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-cloudflare 2.11.1

=== debian/changelog ===
python-cloudflare (2.11.1-2) unstable; urgency=medium

  * Team Upload.
  * d/tests/avoid_syntax_warning_in_regex.patch: Add patch to fix a syntax
    warning in a regex expresion (Closes: #1061824).
  * d/control: Bump Standards-Version to 4.7.0 (from 4.6.1; no further changes
    needed).

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 01 Jul 2024 08:42:32 -0300

python-cloudflare (2.11.1-1) unstable; urgency=medium

  * Update d/watch to use github API
  * New upstream version 2.11.1

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sat, 17 Dec 2022 14:25:22 -0500

python-cloudflare (2.10.3-1) unstable; urgency=medium

  * New upstream version 2.10.3
  * Refresh patches.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Fri, 04 Nov 2022 23:49:54 -0400

python-cloudflare (2.10.2-1) unstable; urgency=medium

  * Switch back to old signing key
  * New upstream version 2.10.2
  * Refresh patches
  * Add test for getting CF IPs, post-build only
  * Use python3 for examples
  * Bump S-V; no changes needed

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Sun, 23 Oct 2022 00:18:07 -0400

python-cloudflare (2.8.14-2) unstable; urgency=medium

  [ Stefano Rivera ]
  * Update Maintainer to Debian Python Team.
  * Rename Salsa Vcs Repo to match source package name.

 -- Sandro Tosi <morph@debian.org>  Mon, 23 Aug 2021 00:42:06 -0400

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: python-cloudflare
-Maintainer: Debian Python Modules Team <team+python-modules@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
 	   Debian Let's Encrypt Team <team+letsencrypt@tracker.debian.org>
 Section: python
@@ -11,9 +11,9 @@
 	       python3-requests,
 	       python3-setuptools,
 	       python3-yaml
-Standards-Version: 4.5.1
-Vcs-Browser: https://salsa.debian.org/python-team/packages/cloudflare
-Vcs-Git: https://salsa.debian.org/python-team/packages/cloudflare.git
+Standards-Version: 4.7.0
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cloudflare
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-cloudflare.git
 Homepage: https://github.com/cloudflare/python-cloudflare
 Rules-Requires-Root: no

=== debian/watch ===
version=4
opts=searchmode=plain,pgpsigurlmangle=s/$/.asc/ \
https://api.github.com/repos/cloudflare/python-cloudflare/releases \
https://github.com/cloudflare/python-cloudflare/releases/download/v?[\d.]+/@ANY_VERSION@@ARCHIVE_EXT@

## python-cloudflare 2.20.0

=== Makefile ===

PYTHON = python
# PANDOC = pandoc
PYLINT = pylint
TWINE = twine
PYTEST = pytest

SPHINX_RELEASE = 2.20.0
SPHINX_AUTHOR = Martin J. Levy
SPHINX_COPYRIGHT = Copyright (c) 2016 thru 2024, Cloudflare. All rights reserved.

EMAIL = "mahtin@mahtin.com"
NAME = "cloudflare"

#all:	README.rst CHANGELOG.md build
all:	CHANGELOG.md build

# README.rst: README.md
# 	$(PANDOC) --wrap=none --from=markdown --to=rst < README.md > README.rst 

CHANGELOG.md: FORCE
	@ tmp=/tmp/_$$$$.md ; \
	( \
		cp /dev/null $$tmp ; \
		echo '# Change Log' ; \
		echo '' ; \
		git log --date=iso-local --pretty=format:' - %ci [%h](../../commit/%H) %s' ; \
		echo '' ; \
	)  >> $$tmp ; \
	diff $$tmp CHANGELOG.md || ( cp $$tmp CHANGELOG.md ; echo "CHANGELOG.md - updated" ) ; \
	rm $$tmp
FORCE:

build: setup.py
	$(PYTHON) setup.py -q build

install: build
	sudo $(PYTHON) setup.py -q install
	sudo rm -rf ${NAME}.egg-info

test: all
	@if pip show pytest-cov > /dev/null; \
	then \
		if [ ! -s .coverage ] ; then touch -t 202001011200 .coverage ; fi ; \
		if [ `find CloudFlare CloudFlare/tests cli4 examples setup.py setup.cfg -type f -depth 1 -name '*.py' -newer .coverage | wc -l` != 0 ]; \
		then \
			echo $(PYTEST) --cov=CloudFlare ; \
			$(PYTEST) --cov=CloudFlare ; \
			coverage html ; \
		else \
			true ; \
		fi ; \
	else \
		echo $(PYTEST) -vv ; \
		$(PYTEST) -vv ; \
	fi

cli4test: all
	$(PYTHON) -m cli4 /ips > /dev/null

sdist: all
	make clean
	make test
	$(PYTHON) setup.py -q sdist
	$(TWINE) check dist/*
	@rm -rf ${NAME}.egg-info

bdist: all
	make clean
	make test
	$(PYTHON) setup.py -q bdist
	$(TWINE) check dist/*
	@rm -rf ${NAME}.egg-info

bdist_wheel: all
	make clean
	make test
	$(PYTHON) setup.py -q bdist_wheel
	$(TWINE) check dist/*
	@rm -rf ${NAME}.egg-info

upload: clean all tag upload-github upload-pypi

upload-github:
	git push
	git push origin --tags

upload-pypi:
	## $(PYTHON) setup.py -q sdist bdist_wheel upload # --sign --identity="$(EMAIL)"
	$(TWINE) upload -r pypi --repository cloudflare dist/*

showtag: sdist
	@ v=`ls -r dist | head -1 | sed -e 's/cloudflare-\([0-9.]*\)\.tar.*/\1/'` ; echo "\tDIST VERSION =" $$v ; (git tag | fgrep -q "$$v") && echo "\tGIT TAG EXISTS"

tag: sdist
	@ v=`ls -r dist | head -1 | sed -e 's/cloudflare-\([0-9][0-9.][0-9]*[.rc0-9]*\)\.tar.*/\1/'` ; echo "\tDIST VERSION =" $$v ; (git tag | fgrep -q "$$v") || git tag "$$v"

sign:
	v=`ls -r dist | head -1 | sed -e 's/cloudflare-\([0-9.]*\)\.tar.*/\1/'` ; echo "\tDIST VERSION =" $$v ; \
	mkdir -p tarball ; \
	rm -f tarball/$$v.tar.gz.asc tarball/$$v.zip.asc ; \
	curl -sS -o tarball/$$v.tar.gz https://codeload.github.com/cloudflare/python-cloudflare/tar.gz/$$v ; \
	curl -sS -o tarball/$$v.zip https://codeload.github.com/cloudflare/python-cloudflare/zip/$$v ; \
	gpg --default-key ${EMAIL} --armor --detach-sign tarball/$$v.tar.gz ; \
	gpg --default-key ${EMAIL} --armor --detach-sign tarball/$$v.zip ; \
	ls -l tarball/$$v.tar.gz tarball/$$v.zip ; \
	ls -l tarball/$$v.tar.gz.asc tarball/$$v.zip.asc ;

docs: all
	@mkdir -p docs/_build docs/_static
	sphinx-apidoc --force --module-first --separate --ext-autodoc -A "$(SPHINX_AUTHOR)" -R "$(SPHINX_RELEASE)" -V "$(SPHINX_RELEASE)" -o docs . 'setup.*'
	sphinx-build -a -E -j auto -b html docs docs/_build/html

clean-docs: all
	rm -rf docs/CloudFlare*.rst docs/cli4*.rst docs/examples*.rst docs/modules*.rst docs/_build docs/_static

lint:
	$(PYLINT) CloudFlare cli4

openapi:
	@tmp=/tmp/_$$$$_ ; \
	$(PYTHON) -m cli4 --dump | sort > $$tmp.1 ; \
	$(PYTHON) -m cli4 --openapi '' | tee $$tmp.5 | sed -e 's/^[A-Z][A-Z]*  *//' -e 's/?.*//' -e 's/\/:[a-z][A-Za-z_]*/\/:id/g' -e 's/\/:[a-z][A-Za-z_]*}/\/:id/g' -e 's/:id\/:id/:id/' -e 's/\/:id$$//' -e 's/\/:id$$//' -e 's/\/:id ;/ ;/' -e 's/ ; Content-Type: .*//' -e 's/\/$$//' | sort -u > $$tmp.2 ; \
	egrep -v '; deprecated' < $$tmp.2 | sed -e 's/ ; .*//' | diff $$tmp.1 - > $$tmp.3 ; \
	echo "In code:" ; \
	egrep '< ' < $$tmp.3 | sed -e 's/< /    /' | sort | tee $$tmp.4 ; \
	echo "In docs:" ; \
	egrep '> ' < $$tmp.3 | sed -e 's/> /    /' | sort | sed -e "s/\//self.add('AUTH', '/" -e "s/$$/'\)/" -e "s/\/:id\//', '/g" ; \
	echo "Deprecated:" ; \
	egrep '; deprecated' < $$tmp.2 | while read cmd x deprecated deprecated_date ; do egrep "$$cmd" $$tmp.4 | sed -e "s/$$/ ; deprecated $$deprecated_date/" ; done | sort | uniq ; \
	echo "Content-Type's:" ; \
	egrep ';' < $$tmp.5 | egrep -v '; deprecated' | egrep -v ' ; Content-Type: application/json' | sed -e 's/^/    /' ; \
	rm $$tmp.?

TUNA_CLI4_TEST_COMMAND = "--openapi="
TUNA_CLI4_TEST_COMMAND = "/ips"

tuna:
	@tmp=/tmp/_$$$$_ ; \
	$(PYTHON) -X importtime -m cli4 $(TUNA_CLI4_TEST_COMMAND) > /dev/null 2> $$tmp.1 ; \
	tuna $$tmp.1 2> /dev/null & \
	tunapid=$$! ; \
	sleep 10 ; \
	kill $$tunapid ; \
	rm $$tmp.?

clean:
	rm -rf build
	rm -rf dist
	mkdir build dist
	$(PYTHON) setup.py -q clean
	rm -rf ${NAME}.egg-info

=== requirements.txt ===
requests>=2.4.2
pyyaml
jsonlines
pytest
pytest-cov

=== docs/requirements.txt ===
sphinx>=4.0.0
myst_parser>=1.0.0
sphinx_rtd_theme>=1.2.0

=== debian/changelog ===
python-cloudflare (2.20.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.
  * d/patches: Update 0001-stop-build-of-cli.patch and
    0002-use-python3-interpreter.patch patches according to new upstream
    release source.
  * d/patches/avoid_syntax_warning_in_regex.patch: Remove patch, it was
    already fix by upstream.
  * d/control: Add python3-tz and python3-pytest as Build-Dependency.
  * d/tests/control: Update tests running according to new upstream release.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 08 Aug 2024 19:29:04 -0300

=== debian/control ===
Source: python-cloudflare
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>,
           Debian Let's Encrypt Team <team+letsencrypt@tracker.debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-bs4,
               python3-pytest <!nocheck>,
               python3-requests,
               python3-setuptools,
               python3-tz <!nocheck>,
               python3-yaml,
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-cloudflare
Vcs-Git: https://salsa.debian.org/python-team/packages/python-cloudflare.git
Homepage: https://github.com/cloudflare/python-cloudflare
Rules-Requires-Root: no

Package: python3-cloudflare
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Description: Python module to interface with Cloudflare's v4 API
 python3-cloudflare is a wrapper around the Cloudflare v4 API that
 lets you perform any action that you would be able to through the
 Cloudflare control panel itself.  For example, you can add and remove
 zones, change DNS records, switch billing information, etc.

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,10 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+# Suppress testing due to requirement of internet access
+override_dh_auto_test:
+	true
+
 override_dh_installexamples:
 	dh_installexamples
 	chmod -x $(CURDIR)/debian/python3-cloudflare/usr/share/doc/python3-cloudflare/examples/*

=== debian/tests/control ===
--- 
+++ 
@@ -3,3 +3,8 @@
 Test-Command: python3 -c 'import CloudFlare; print(CloudFlare)'
 Restrictions: superficial
 Features: test-name=smoke
+
+Test-Command: python3 -m pytest ./CloudFlare/tests/test_api_dump.py ./CloudFlare/tests/test_certificates.py ./CloudFlare/tests/test_cloudflare.py ./CloudFlare/tests/test_cloudflare_calls.py ./CloudFlare/tests/test_find.py ./CloudFlare/tests/test_ips.py -k 'not test_find_zone and not test_api_from_openapi'
+Depends: python3-pytest, @
+Restrictions: needs-internet
+Features: test-name=tests
